Subject: Re: Regression with AX88179A: can't manually set MAC address anymore

From: Bagas Sanjaya <[email-masked]>
Date: Wed, 6 Sep 2023 08:43:30 +0700

On Tue, Sep 05, 2023 at 09:34:53PM +0200, Sergio Callegari wrote:
> On 05/09/2023 14:31, Bagas Sanjaya wrote:
> > On Tue, Sep 05, 2023 at 01:02:22PM +0200, Sergio Callegari wrote:
> > > More details:
> > > 
> > > - before the kernel changes, the interface was supported by a dedicated
> > > kernel driver. The driver had glitches but was more or less working. The
> > > main issue was that after some usage the driver stopped working. Could fix
> > > these glitches with the driver at
> > > https://github.com/nothingstopsme/AX88179_178A_Linux_Driver
> > Did you mean that you use out-of-tree module?
> 
> I mean that with kernel 5.15 I could use the in-tree module with some
> glitches (interface occasionally stopping on teleconferencing) as well as
> the indicated out of tree module with no glitches.
> 
> With current kernels (certainly from 6.2 on) manually setting a MAC address
> breaks the interface. Furthermore, even if it compiles and loads fine, it is
> impossible to use the out of tree module because it does not create the eth
> device anymore (the eth device now appears with the cdc_ncn module). Being
> this an out of tree module, this is not very important, though.

Then can you please file issue against your external module on that
GH link?

-- 
An old man doll... just what I always wanted! - Clara